<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:web="http://xmlns.jcp.org/xml/ns/javaee" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">
  <display-name>Jérémy Nguyen</display-name>
  
  <servlet>
    <servlet-name>create-user</servlet-name>
    <servlet-class>servlets.CreateUser</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>login</servlet-name>
    <servlet-class>servlets.Login</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>logout</servlet-name>
    <servlet-class>servlets.Logout</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>allmission</servlet-name>
    <servlet-class>servlets.AllMission</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>addmission</servlet-name>
    <servlet-class>servlets.AddMission</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>addreponse</servlet-name>
    <servlet-class>servlets.AddReponse</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>getmissionuser</servlet-name>
    <servlet-class>servlets.GetMissionUser</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>responsevalidation</servlet-name>
    <servlet-class>servlets.ResponseValidation</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>removemission</servlet-name>
    <servlet-class>servlets.RemoveMission</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>removereponse</servlet-name>
    <servlet-class>servlets.RemoveReponse</servlet-class>
  </servlet>
  
  <servlet>
    <servlet-name>addnote</servlet-name>
    <servlet-class>servlets.AddNote</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>getnote</servlet-name>
    <servlet-class>servlets.GetNote</servlet-class>
  </servlet>
  
  
  
  
  <servlet-mapping>
    <servlet-name>create-user</servlet-name>
    <url-pattern>/create-user</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>login</servlet-name>
    <url-pattern>/login</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>logout</servlet-name>
    <url-pattern>/logout</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>allmission</servlet-name>
    <url-pattern>/allmission</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>addmission</servlet-name>
    <url-pattern>/addmission</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>addreponse</servlet-name>
    <url-pattern>/addreponse</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>getmissionuser</servlet-name>
    <url-pattern>/getmissionuser</url-pattern>
  </servlet-mapping>  
  
  <servlet-mapping>
    <servlet-name>responsevalidation</servlet-name>
    <url-pattern>/responsevalidation</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>removemission</servlet-name>
    <url-pattern>/removemission</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>removereponse</servlet-name>
    <url-pattern>/removereponse</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>addnote</servlet-name>
    <url-pattern>/addnote</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>getnote</servlet-name>
    <url-pattern>/getnote</url-pattern>
  </servlet-mapping>
    
      <filter>
    <filter-name>CorsFilter</filter-name>
    <filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
    <init-param>
      <param-name>cors.allowed.origins</param-name>
      <param-value>*</param-value>
    </init-param>
  </filter>


  <filter-mapping>
    <filter-name>CorsFilter</filter-name>
    <url-pattern> /* </url-pattern>
  </filter-mapping>
 
</web-app>